package exemplos;

public class CarroDeCorridaRunnable implements Runnable
  {
  private String nome;
  private int distância;
  private int velocidade;
  private Thread thread;
  
  public CarroDeCorridaRunnable(String n, int vel)
    {
    nome = n;
    distância = 0;
    velocidade = vel;
    }
  
  public void inicia()
    {
    if (thread == null) 
      {
      thread = new Thread(this);
      thread.start();
      }
    }
  
  public void run()
    {
    while (distância <= 1200)
      {
      System.out.println(nome + " rodou " + distância + " km.");
      distância += velocidade;
      // Causa um delay artificial.
      try
        {
        Thread.sleep(4800/velocidade);
        } 
      catch (InterruptedException e)
        {
        e.printStackTrace();
        }
      }
    }
  }
