package exemplos;

public class CarroDeCorridaComThreads extends Thread
  {
  private String nome;
  private int distância;
  private int velocidade;
  public CarroDeCorridaComThreads(String n, int vel)
    {
    nome = n;
    distância = 0;
    velocidade = vel;
    }
  public void run()
    {
    while (distância <= 1200)
      {
      System.out.println(nome + " rodou " + distância + " km.");
      distância += velocidade;
      // Causa um delay artificial.
      try
        {
        Thread.sleep(4800/velocidade);
        } 
      catch (InterruptedException e)
        {
        e.printStackTrace();
        }
      }
    }
  }
