package graphics;

import java.awt.*;
import java.awt.geom.Point2D;
import javax.swing.JApplet;

public class AppletFills extends JApplet
  {
  public void paint(Graphics g)
    {
    Graphics2D g2d = (Graphics2D)g;
    g2d.setRenderingHint(RenderingHints.KEY_ANTIALIASING,
                         RenderingHints.VALUE_ANTIALIAS_ON);
    g2d.setColor(Color.RED);
    g2d.fillRoundRect(10,10,120,20,20,20);
    GradientPaint degrade = 
      new GradientPaint(0,0,Color.BLUE,110,20,Color.GREEN);
    g2d.setPaint(degrade);
    g2d.fillRoundRect(10,40,120,20,10,10);
    Point2D centro = new Point2D.Float(60,60);
    float raio = 60;
    float[] frações = {0f, 1f};
    Color[] cores = {Color.RED, Color.BLUE};
    RadialGradientPaint radial = 
        new RadialGradientPaint(centro, raio, frações, cores);
    g2d.setPaint(radial);
    g2d.fillRoundRect(10,80,120,120,40,40);
    }
  }
